# class taskRunner

Not part of the API. More...

Full name | `toThread::taskRunner`
Definition | `#include <tothread.h>`
Inherits | QThread (qt) [public ]
List of all Methods

Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- taskRunner (toTask *)
- virtual void run (void)

#### Public Members

- toSemaphore StartSemaphore
- toTask *Task
- friend class toThread

## Detailed Description

Not part of the API.

toSemaphore StartSemaphore

### StartSemaphore

toTask * Task

### Task

taskRunner (toTask *)

### taskRunner

void run (void)

### run

[virtual]

Reimplemented from QThread.

friend class toThread

### toThread